# angular.identity

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

A function that does nothing except for returning its first argument. This function is useful when writing code in the functional style.

         function transformer(transformationFn, value) {
           return (transformationFn || identity)(value);
         };

## Usage

    angular.identity();